Support » Plugin: WooSidebars » Compatibility with elegant themes

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Matty Cohen

    (@mattyza)

    Hi macopinger,

    If the theme uses the dynamic_sidebar() and is_active_sidebar() functions, WooSidebars will work. 🙂

    If it doesn’t work, I’d advise contacting the theme author to enquire as to why it isn’t working. WooSidebars makes use of core WordPress functionality, so there’s no reason why the plugin shouldn’t work with just about any theme, unless the theme doesn’t respect WordPress theme coding standards. 🙂

    Thanks and regards,
    Matty.
    Chief Product Officer at WooThemes

    I know this thread is a bit old, but I’m using a theme of my own, that using this code:

    <?php
    			if ( function_exists( 'dynamic_sidebar' ) ) {
    				if ( is_active_sidebar( 'primary' ) ) {
    					dynamic_sidebar( 'primary' );
    				}
    			}
    			?>

    Any thoughts on why Woosidebars doesn’t seem to be working? Any widgets placed in sidebars that should be showing on a given page just don’t show at all, and the sidebar that should be replaced is still showing.

    Plugin Author Matty Cohen

    (@mattyza)

    Hey there. 🙂

    This may be due to the custom widget area not correctly having a slug.

    Please click “Quick Edit” on the widget area in question and ensure it has a slug and not a digit where the slug should be. 🙂

    Hi. I have not resolved the problem. Theme uses the dynamic_sidebar() and is_active_sidebar() functions. Widget area has correct slug without digits. But widget does not showing on woocommerce shop page.
    Help!

    Plugin Author Matty Cohen

    (@mattyza)

    Hi there,

    Please be sure to start a new thread in future, if you have a query to report. This thread has already been resolved. 🙂

    Your theme requires the following in order to use WooSidebars:

    – get_header() function being used in the templates (this is a WordPress standard).
    – Use of the dynamic_sidebar() and is_active_sidebar() functions.

    I’d recommend contacting your theme’s developer to ensure they comply with the above two items, which are both WordPress code standards items.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Compatibility with elegant themes’ is closed to new replies.